package com.lovecoding.day11.enum01;

public class TestWeek {
    public static void main(String[] args) {

        //类名.值
        System.out.println(Week.XIN_GQING_ER);

        //枚举
        Week xinGqingEr = Week.XIN_GQING_ER;
        System.out.println(xinGqingEr);

        //用 int 代替 i 1 = 星期一

        Week[] values = Week.values();

        for (Week value : values) {
            System.out.println(value);
        }
        //返回常量的次序号，默认从0开始
        System.out.println(Week.XIN_GQING_ER.ordinal());
    }
}
